Text Independent - Create Profile
Create Profile
Creates a new speaker profile with specified locale.
POST {endpoint}/speaker-recognition/verification/text-independent/profiles?api-version=2021-09-05
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
|
Supported Cognitive Services endpoints (protocol and hostname, for example: https://westus.api.cognitive.microsoft.com). |
|
api-version
|
query | True |
|
Specifies the version of the operation to use for this request. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Ocp-Apim-Subscription-Key | True |
|
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| locale | True |
|
Language identifier consisting of a combination of language code and country code. |
Responses
| Name | Type | Description |
|---|---|---|
| 201 Created |
Speaker profile created successfully. GUID is returned to reference the created profile. Headers
|
|
| Other Status Codes |
Failure Headers
|
Security
Ocp-Apim-Subscription-Key
Type:
apiKey
In:
header
Examples
Successful Query
Sample Request
POST https://westus.api.cognitive.microsoft.com/speaker-recognition/verification/text-independent/profiles?api-version=2021-09-05
Ocp-Apim-Subscription-Key: {API key}
{
"locale": "en-us"
}
Sample Response
Content-Type: application/json
{
"profileId": "49a36324-fc4b-4387-aa06-090cfbf0064f",
"locale": "en-US",
"profileStatus": "Active",
"enrollmentStatus": "Enrolling",
"createdDateTime": "2015-04-23T18:25:43.41Z",
"lastUpdatedDateTime": "2015-04-23T18:25:43.41Z",
"enrollmentsCount": 0,
"enrollmentsLengthInSec": 0,
"enrollmentsSpeechLengthInSec": 0,
"remainingEnrollmentsSpeechLengthInSec": 20,
"modelVersion": "2019-12-05"
}
Content-Type: application/json
x-ms-error-code: Error Code
{
"error": {
"code": "Error Code",
"message": "Erro Messae"
}
}
Definitions
| Error | |
|
Locale |
Speaker profile locale |
|
Profile |
Status representing the current state of the profile. Available values are:
|
|
Speaker |
Speaker error message |
|
Ti |
Text-Independent Speaker profile info |
|
Training |
Status representing the current state of the profile. Available values are:
|
Error
| Name | Type | Description |
|---|---|---|
| code |
|
|
| message |
|
LocaleInfo
Speaker profile locale
| Name | Type | Description |
|---|---|---|
| locale |
|
Language identifier consisting of a combination of language code and country code. |
ProfileStatusType
Status representing the current state of the profile. Available values are:
- Active: profile is active and can be used if the enrollment status is 'Enrolled'.
- Inactive: profile has not been activated and an activation phrase must be submitted.
| Name | Type | Description |
|---|---|---|
| Active |
|
|
| Inactive |
|
SpeakerErrorInfo
Speaker error message
| Name | Type | Description |
|---|---|---|
| error |
TiProfileInfo
Text-Independent Speaker profile info
| Name | Type | Description |
|---|---|---|
| createdDateTime |
|
Profile creation datetime. |
| enrollmentStatus |
Status representing the current state of the profile. Available values are:
|
|
| enrollmentsCount |
|
Number of enrollment audios accepted for this profile. |
| enrollmentsLengthInSec |
|
Total length of enrollment audios accepted for this profile in seconds. |
| enrollmentsSpeechLengthInSec |
|
Summation of pure speech (which is the amount of audio after removing silence and non-speech segments) across all profile enrollments in seconds. |
| lastUpdatedDateTime |
|
Last datetime when the profile was updated. |
| locale |
|
Language identifier consisting of a combination of language code and country code. |
| modelVersion |
|
Date specifying the model assigned to this profile. Format is yyyy-mm-dd. If profile has no enrollments, this value will be empty. |
| profileId |
|
Unique identifier for profile id (guid). |
| profileStatus |
Status representing the current state of the profile. Available values are:
|
|
| remainingEnrollmentsSpeechLengthInSec |
|
Amount of pure speech (which is the amount of audio after removing silence and non-speech segments) needed to complete profile enrollment in seconds. |
TrainingStatusType
Status representing the current state of the profile. Available values are:
- Enrolling: profile has no voice print and not ready for recognition requests.
- Training: voice print of profile is being created and can’t be used for recognition at the moment.
- Enrolled: profile has a voice print and ready for recognition requests.
| Name | Type | Description |
|---|---|---|
| Enrolled |
|
|
| Enrolling |
|
|
| Training |
|